libzypp 17.37.10

IOTools.cc File Reference
`#include <errno.h>`
`#include <fcntl.h>`
`#include <iostream>`
`#include <glib.h>`
`#include <zypp-core/AutoDispose.h>`
`#include <zypp-core/base/IOTools.h>`
`#include <zypp-core/base/LogTools.h>`
`#include <zypp-core/zyppng/base/private/linuxhelpers_p.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::io

## Functions
BlockingMode | zypp::io::setFILEBlocking (FILE *file, bool mode=true)
| Enables or disabled non blocking mode on a file descriptor.
BlockingMode | zypp::io::setFDBlocking (int fd, bool mode)
bool | zypp::io::writeAll (int fd, void *buf, size_t size)
ReadAllResult | zypp::io::readAll (int fd, void *buf, size_t size)
std::pair< ReceiveUpToResult, std::string > | zypp::io::receiveUpto (FILE *file, char c, timeout_type timeout, bool failOnUnblockError)
std::vector< char > | zypp::io::peek_data_fd (FILE *fd, off_t offset, size_t count)